Йомен использует Магистраль/Эмбер с requireJs

Я хотел бы использовать Yeoman для запуска проекта с поддержкой framework и requireJs.

Если я инициирую проект с помощью Amd и устанавливаю базовую основу после, модели/контроллеры/маршруты ... не генерируются с помощью requireJs.

I have find this topic : Howto bootstrap Backbone app with yeoman having require.js enabled

Но ссылка ответа мертва ... :(

1
nl ja de

2 ответы

If it helps in any way, I ported over the Peepcode Backbone project to a RequireJS and Yeoman-enabled one here: https://github.com/vishvish/backbone-peepcode-reboot

Yeoman только что изменил свой MO, и я не знаю, будет ли с ним работать, но модели, маршруты и т. Д., Все они есть в формате RequireJS, надеюсь, это поможет вам быть на вашем пути.

1
добавлено

Мы обновили генератор Yeoman базового генератора , чтобы поддерживать как twitter bootstrap и RequireJS . Но это официально не добавлено к npm. Но вы можете попробовать это, используя

npm install git://github.com/yeoman/generator-backbone.git

Discussion : Not found in npm install

0
добавлено